@echo off
setlocal enabledelayedexpansion

set "project=Keal's LabDemo2 FBC Port"

set "path=C:\A-01 Roe v068 Super Sprite Mod\%project%"

set compiler="C:\FreeBASIC-1.10.0-winlibs-gcc-9.3.0\fbc32.exe"
set source="%path%\%project%.bas"

set build=-asm intel

set gui=-s gui "%path%\Assets\rc\Crescent Onion Dome.rc"

set debug=-exx -g -gen gas

set lib=

set logging="%path%\Compiler Log - %project%.txt"

%compiler% %source% %build% %gui% %lib% %debug% > %logging% 2>&1